diff --git a/gem.awk b/gem.awk
index 54b765c..7f31ae2 100755
--- a/gem.awk
+++ b/gem.awk
@@ -59,7 +59,7 @@ function print_text(connexion_cmd) {
 function connexion_open(url, domain, port) {
     if (!port)
         port = 1965
-    connexion_cmd="echo '" url "' | openssl s_client -crlf -quiet -verify_quiet -connect '" domain ":" port "' 2>/dev/null"
+    connexion_cmd="echo '" url "' | openssl s_client -crlf -quiet -connect '" domain ":" port "'" 
     connexion_cmd | getline
 }
 
@@ -173,18 +173,19 @@ function prompt(str) {
 }
 
 function help() {
-    print "The following commands are available:"
-    print "  gemini://\033[3;4m.*\033[0m : open a gemini URL"
-    print "  \033[3;4mn\033[0m           : follow link \033[3;4mn\033[0m of current text/gemini page"
-    print "  .           : reload current page"
-    print "  ..          : go to parent"
-    print "  | \033[3;4mcmd\033[0m       : redirect current page to \033[3;4mcmd\033[0m (new connexion)"
-    print "  > \033[3;4mfile\033[0m      : redirect current page to \033[3;4mfile\033[0m (new connexion)"
-    print "  toc         : list titles in a text/gemini page"
-    print "  links       : list URLs linked in a text/gemini page"
-    print "  history [\033[3;4mN\033[0m] : list URLs of visited pages, or open \033[3;4mN\033[0mth visited page"
-    print "  back        : go back to previous page in history (swapping the 2 last elements of history)"
-    print "  help        : show this help"
+    print "Estos son los comandos disponibles:"
+    print "  gemini://\033[3;4m.*\033[0m : abrir una URL gemini"
+    print "  \033[3;4mn\033[0m           : seguir enlace \033[3;4mn\033[0m de la página text/gemini actual"
+    print "  .           : actualizar a la página actual"
+    print "  ..          : ir al nodo superior"
+    print "  | \033[3;4mcmd\033[0m       : redirigir la página actual a \033[3;4mcmd\033[0m (nueva conexión)"
+    print "  > \033[3;4march\033[0m      : redirigir la página actual a \033[3;4march.\033[0m (nueva conexión)"
+    print "  indice : listar los titulares en una páginatext/gemini "
+    print "  enlaces : listar las  URLs enlazadas en una página text/gemini"
+    print "  historial [\033[3;4mN\033[0m] : listar las URLs de las páginas visitadas, o abrir la página número \033[3;4mN\033[0m "
+    print "  atras : ir atrás a la página anterior en el historial (intermcabiando los dos últimos elementos del historial)"
+    print "  ayuda : mostrar la ayuda"
+		print "  salir: salir del programa"
 }
 
 BEGIN {
@@ -207,14 +208,14 @@ $1 ~ /^[[:digit:]]+$/ {
     if (CURRENT_URL)
         gemini_url_open(CURRENT_URL)
     else
-        print "No current page to reload."
+        print "No hay página actual a actualizar."
 }
 
 /^\.\.$/ {
     if (CURRENT_URL) {
         parent_url=parent(CURRENT_URL)
         if (parent_url == "gemini://")
-            print "Already at site root."
+            print "Nodo principal."
         else
             gemini_url_open(parent_url)
         }
@@ -227,41 +228,41 @@ $1 ~ /^[[:digit:]]+$/ {
         plumb_out(connexion_cmd, $0)
     }
     else
-        print "No current page."
+        print "No hay página actual."
 }
 
-$1 == "toc" {
+$1 == "indice" {
     if (!PAGE_TITLE_NUM) {
-        print "No title found."
+        print "No se ha encontrado titular."
     }
     for(i in PAGE_TITLES)
         print PAGE_LINES[PAGE_TITLES[i]] ": " PAGE_TITLES[i]
 }
 
-$1 == "links" {
+$1 == "enlaces" {
     if (!PAGE_LINK_NUM) {
-        print "No link found."
+        print "No se ha encontrado enlace."
     }
     for(i in PAGE_LINKS)
         print "=> [" i "] \033[4m" PAGE_LINKS[i] "\033[0m"
 }
 
-$1 == "history" {
+$1 == "historial" {
     if (!HISTORY_NUM) {
-        print "No page visited in this session."
+        print "No hay páginas visitadas en esta sesión."
     } else if ($2) {
         if ($2 >= 1 && $2 <= HISTORY_NUM)
             gemini_url_open(HISTORY[$2])
         else
-            print "Bad history ID."
+            print "Mal número en el historial."
     } else
         for(i in HISTORY)
             print "=> [" i "] \033[4m" HISTORY[i] "\033[0m"
 }
 
-$1 == "back" {
+$1 == "atras" {
     if (HISTORY_NUM <= 1) {
-        print "Nowhere to go back."
+        print "No hay donde ir atrás."
     } else {
         url = HISTORY[HISTORY_NUM - 1]
         HISTORY[HISTORY_NUM - 1] = HISTORY[HISTORY_NUM]
@@ -270,12 +271,16 @@ $1 == "back" {
     }
 }
 
-$1 == "help" {
+$1 == "ayuda" {
     help()
 }
 
+$1 == "salir" {
+		exit
+}
+
 { prompt() }
 
 END {
-    print "Bye!"
+    print "¡Adiós!"
 }
